import {
  queryKeysFactory
} from "./chunk-ZA2KFUFR.js";
import {
  sdk
} from "./chunk-RIN4CBRB.js";

// src/hooks/api/currencies.tsx
import { useQuery } from "@tanstack/react-query";
var CURRENCIES_QUERY_KEY = "currencies";
var currenciesQueryKeys = queryKeysFactory(CURRENCIES_QUERY_KEY);
var useCurrencies = (query, options) => {
  const { data, ...rest } = useQuery({
    queryFn: () => sdk.admin.currencies.query({ ...query }),
    queryKey: currenciesQueryKeys.list(query),
    ...options
  });
  return { ...data, ...rest };
};

export {
  useCurrencies
};
